•  · 112 friends

PHP 8.0.1

Can anyone tell me if UNA 12 is compatible with PHP 8?

💓0 😆0 😲0 😥0 😠0 0
  • 617
  • More
Replies (10)
    • Baloo what version of PHP are you running currently? I'm running 5.6 as of now.

      💓0 😆0 😲0 😥0 😠0 0
      • 5.6? It is a joke - right? Latest version is 7.4

        💓0 😆0 😲0 😥0 😠0 0
        • Well, for example, https://blog.packagist.com/php-versions-stats-2020-1-edition/ PHP 7.3 and lower are still used too

          💓0 😆0 😲0 😥0 😠0 0
          • Hello Leonid, I just reinstalled Ubuntu Server it updated to PHP 8.0.1. That is why I am asking the question.

            image_transcoder.php?o=bx_froala_image&h=4525&dpx=1&t=1610983487


            💓0 😆0 😲0 😥0 😠0 0
            • Good question, would love to know more about it. I have sucessfully run UNA locally on PHP 8.0+, but have not yet had time to test any further ... 

              💓0 😆0 😲0 😥0 😠0 0
              • I tested UNA 12 on php8 but didn't work for me. I always get a blank page with error "allow_url_include is on (you need to disable it, or your site will be unsafe)", no matter if module is disabled, still gives the same error.

                💓0 😆0 😲0 😥0 😠0 0
                • Hello Jose Sadel !

                  Yes, in PHP 8 this directive was declared as deprecated. Thnx for your signal.

                  💓0 😆0 😲0 😥0 😠0 0
                  • Hi
                    I noticed that same problem "allow_url_include is on (you need to disable it, or your site will be unsafe)" when updating PHP on our server. The default php went from ver.7.4 to ver. 8.0.1. That is not a problem since I can choose which version to use... in apache2 config for una site I can use php7.4-fpm and that's it. But cron job for una needs modification

                    from:
                    /usr/bin/php -q /path-to/una/periodic/cron.php
                    to:
                    /usr/bin/php7.4 -q /path-to/una/periodic/cron.php

                    or else I get warning to e-mail that  "allow_url_include is on ...."

                    I haven't tried to change the php7.4-fpm to php8.0-fpm to see if it works since the site is live....

                    💓0 😆0 😲0 😥0 😠0 0
                    • 💓0 😆0 😲0 😥0 😠0 0
                      • Hello. Any update on this? Is UNA 12 finally compatible with PHP 8? 

                        💓0 😆0 😲0 😥0 😠0 0
                        Not logged in users can't 'Comments Post'.
                        2
                        1
                        1
                        1
                        1
                        Added:
                        Category:

                        UNA - Network Infrastructure for Communities

                        Close